#! /bin/bash
# Version 0.3
# Autor: Olivier Jankovsky
#

##### Constants
xld="/Applications/xld"
maxfilenameSize="25"
build=$(date +"%Y%m%d%H%M")

if [ $# -gt 1 ]
then
   voice="$1"
   wordlist="$2"
else
   echo "usage: $(basename $0) voice wordlist exportfolder"
   exit 0
fi

if [ $# -gt 2 ]
then
   exportfolder="$3"
else
   exportfolder=$(dirname $wordlist)
fi


# create export folder
if [ ! -d "$exportfolder/$build" ];
  then
   mkdir "$exportfolder/$build"
fi

OLDIFS=$IFS
IFS=";"
exec 3>&0
exec 0<$wordlist
while read id wavname txt2speek rate
do
trFilename=$(tr -cd '[a-zA-Z0-9_ ]' <<<"$wavname")
sedFilename=$(sed -e "s/\(.\{$maxfilenameSize\}\).*/\1/" <<<"$trFilename")
echo $wavname $sedFilename $rate
say -v $voice -r $rate -o ${exportfolder}/${build}/${sedFilename} $txt2speek
$xld -f wav -o ${exportfolder}/${build}/${sedFilename}.wav ${exportfolder}/${build}/${sedFilename}.aiff
say -v $voice  $txt2speek
rm ${exportfolder}/${build}/${sedFilename}.aiff 
done
exec 0>&3
IFS=$OLDIFS


cat > ${exportfolder}/${build}/@Info.txt << EOF
OSX Version: ${sysver}
Stimme: ${voice}
Wortliste: ${wordlist##*/}
erstellt am: ${date}
EOF
cp $wordlist ${exportfolder}/${build}
